Summary:	Geography Education application built on top of SpatiaLite and RasterLite
Summary(pl.UTF-8):	Geograficzny program edukacyjny stworzony w oparciu o SpatiaLite i RasterLite
Name:		libreatlas
Version:	1.0.0a
Release:	9
License:	GPL v3+
Group:		Applications
Source0:	http://www.gaia-gis.it/gaia-sins/libreatlas-sources/%{name}-%{version}.tar.gz
# Source0-md5:	d09d57d2cbb0b05be0e3ff9ad925d86a
Patch0:		%{name}-link.patch
Patch1:		wxWidgets3.patch
URL:		https://www.gaia-gis.it/fossil/libreatlas
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	freexl-devel
BuildRequires:	geos-devel
BuildRequires:	libgeotiff-devel >= 1.2.5
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librasterlite-devel
BuildRequires:	libspatialite-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	proj-devel >= 4
BuildRequires:	wxGTK3-unicode-devel >= 2.8.12-4
BuildRequires:	zlib-devel
Requires:	libgeotiff-devel >= 1.2.5
Requires:	wxGTK3-unicode >= 2.8.12-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibreAtlas is an open source Geography Education application built on
top of SpatiaLite and RasterLite. It uses LibreAtlas databases which
are a digital alternative to a paper atlas.

%description -l pl.UTF-8
LibreAtlas to mający otwarte źródła geograficzny program edukacyjny,
stworzony w oparciu o SpatiaLite i RasterLite. Wykorzystuje bazy
danych LibreAtlas, będące cyfrową alternatywą dla atlasu papierowego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mkdir wx-bin
ln -sf /usr/bin/wx-gtk3-unicode-config wx-bin/wx-config

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# configure refers to wx-config with no option to override
PATH=$(pwd)/wx-bin:$PATH
export CFLAGS="%{rpmcflags} -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H"
export CXXFLAGS="%{rpmcxxflags} -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
sed -ne '2,$p' gnome_resource/LibreAtlas.desktop >$RPM_BUILD_ROOT%{_desktopdir}/LibreAtlas.desktop
cp -p gnome_resource/LibreAtlas.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/LibreAtlas
%{_desktopdir}/LibreAtlas.desktop
%{_pixmapsdir}/LibreAtlas.png
%changelog
* Mon Sep 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libreatlas.git;a=log;h=master

* Mon Sep 25 2023 Jan Rękorajski <baggins@pld-linux.org> 4d8f6f7
-  rebuild with gtk3 and wxWidgets 3.2, rel 9

* Sat Apr 06 2019 Jan Rękorajski <baggins@pld-linux.org> df9c17f
- rebuild with proj 6.0
- rel 8

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 65b0632
- release 7 (by relup.sh)

* Sun Jul 19 2015 Jan Rękorajski <baggins@pld-linux.org> 647bed1
- release 6 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 007eb38
- release 5 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 61b69e4
- fix building with wxWidgets 3.0
- rel 4

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 598d767
- wxWidgets rebuild
- release 3 (by relup.sh)

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 99d2e59
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c3f09b2
- cleanup

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 826934f
- new

